Skip to main content
GET
/
sourcing
/
linkedin
/
profile
Get LinkedIn profile
curl --request GET \
  --url https://app.leonar.app/api/v1/sourcing/linkedin/profile \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "provider_id": "<string>",
    "public_identifier": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "headline": "<string>",
    "summary": "<string>",
    "location": "<string>",
    "profile_picture_url": "<string>",
    "profile_picture_url_large": "<string>",
    "network_distance": "FIRST_DEGREE",
    "is_premium": true,
    "is_open_profile": true,
    "connections_count": 123,
    "follower_count": 123,
    "contact_info": {
      "emails": [
        "<string>"
      ],
      "phone_numbers": [
        "<string>"
      ]
    },
    "work_experience": [
      {
        "company_id": "<string>",
        "company": "<string>",
        "company_picture_url": "<string>",
        "position": "<string>",
        "location": "<string>",
        "description": "<string>",
        "start": "<string>",
        "end": "<string>"
      }
    ],
    "education": [
      {
        "school_id": "<string>",
        "school": "<string>",
        "school_picture_url": "<string>",
        "degree": "<string>",
        "field_of_study": "<string>",
        "start": "<string>",
        "end": "<string>"
      }
    ],
    "skills": [
      {
        "name": "<string>",
        "endorsement_count": 123
      }
    ],
    "languages": [
      {
        "name": "<string>",
        "proficiency": "<string>"
      }
    ],
    "certifications": [
      {}
    ]
  }
}

Authorizations

Authorization
string
header
required

API key starting with leo_

Query Parameters

account_id
string<uuid>
required

Connected LinkedIn account ID

identifier
string
required

LinkedIn vanity name (e.g. "john-doe"), profile URL segment, or provider ID

Response

LinkedIn profile details

data
object

Full LinkedIn profile returned by the profile endpoint